#ifndef _siocons_h_
#define _siocons_h_

#include <stdio.h>
#include <sys/types.h>

/* file.c */
int siocons_send_command(const char *str);
int siocons_send_command_verbose(const char *str);
void siocons_load(u_long addr, u_long size, FILE *fp);
void siocons_save(u_long addr, u_long size, FILE *fp);
void siocons_autofile(FILE *fp);
void siocons_local(void);

/* token.c */
int siocons_parse(char *str);

/* ecoff.c */
int	ecoff_load(const char *name, int verbose);

/* script.c */
void help(void);
void shell(char *str);
void autofile(char *str);
void dload(char *name, u_long addr);
void dsave(char *name, u_long addr, u_long size);
void load(char *str);
void log_off(void);
void log_on(char *str);
void beep(void);
void sio_pause(void);
void echo(char *str);
void sio_sleep(int time);
void sio_wait(void);
void again(void);
void quit(void);

#endif
